Skip to main content
GET
/
v2
/
transfer-batches
List all Transfer Batches
curl --request GET \
  --url https://api.dots.dev/api/v2/transfer-batches \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.dots.dev/api/v2/transfer-batches"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.dots.dev/api/v2/transfer-batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {},
      "items": [
        {
          "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "amount": 123,
          "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tax_exempt": true,
          "metadata": {},
          "error": "<string>"
        }
      ]
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
string

A limit on the number of objects to be returned, between 1 and 100.

starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.

Response

200 - application/json

OK

data
object[]
has_more
boolean

true if there are more objects.